## ----libraryLoad---------------------------------------------------------
suppressMessages(library(metagene))

## ----bamFiles------------------------------------------------------------
bam_files <- get_demo_bam_files()
bam_files

## ----regionsArgument-----------------------------------------------------
regions <- get_demo_regions()
regions

## ----designFile----------------------------------------------------------
fileDesign <- system.file("extdata/design.txt", package="metagene")
design <- read.table(fileDesign, header=TRUE, stringsAsFactors=FALSE)
design$Samples <- paste(system.file("extdata", package="metagene"), 
                        design$Samples, sep="/")
design

## ----alternateDesign-----------------------------------------------------
design <- data.frame(Samples = c("align1_rep1.bam", "align1_rep2.bam", 
                            "align2_rep1.bam", "align2_rep2.bam", "ctrl.bam"),
		                    align1 = c(1,1,0,0,2), align2 = c(0,0,1,1,2))
design$Samples <- paste0(system.file("extdata", package="metagene"), "/", 
                            design$Samples)
design

## ----initializeMetageneObj-----------------------------------------------
mg <- metagene$new(regions, bam_files)

## ----producePlotEx1------------------------------------------------------
results <- mg$plot(range = c(-1000,1000))

## ----showDataFrame, collapse=TRUE----------------------------------------
class(results)
names(results)
head(results$DF)

